v.in.mapgen(1)

NAME
v.in.mapgen.py - Imports Mapgen or Matlab-ASCII vector maps into GRASS.

KEYWORDS
vector, import

SYNOPSIS
v.in.mapgen.py
v.in.mapgen.py --help
v.in.mapgen.py [-fz] input=name [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-f
    Input map is in Matlab format

-z
    Create a 3D vector points map from 3 column Matlab data

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input file in Mapgen/Matlab format

output=name
    Name for output vector map (omit for display to stdout)

DESCRIPTION
v.in.mapgen allows the user to import Mapgen or Matlab vector maps into GRASS.

NOTES
This module only imports data into vector lines.

The user can get coastline data in Mapgen or Matlab format from NOAA’s Coastline Extractor at http://www.ngdc.noaa.gov/mgg/shorelines/shorelines.html.

Matlab vector line maps are simply a series of "x y" data points. Lines are separated by a row containing NaN NaN. Output from Matlab with this command:

    save filename.txt arrayname -ASCII

The user can import 3D lines from Matlab by exporting a 3 column array and using the -z flag.

SEE ALSO
v.in.ascii

AUTHORS
Based on v.in.mapgen.sh for GRASS 5.0 by Andreas Lange
Rewritten for GRASS 6 by Hamish Bowman

SOURCE CODE

Available at: v.in.mapgen source code (history)

Accessed: Wednesday Dec 13 01:56:48 2023

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual